Skip to content
OpenPostDocs
OpenPostDocs
Media

Render and save a meme

POST/memes/render

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/memes/render" \  -H "Content-Type: application/json" \  -d '{    "captions": [      "string"    ],    "template_id": "string",    "workspace_id": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/RenderMemeOutputBody.json",  "media": {    "$schema": "https://example.com/api/v1/schemas/MediaUploadResult.json",    "alt_text": "string",    "analysis_error": "string",    "analysis_status": "string",    "asset_kind": "string",    "deduped": true,    "design_document_id": "string",    "design_page_id": "string",    "id": "string",    "mime_type": "string",    "original_filename": "string",    "parent_media_id": "string",    "poster_thumbnail_url": "string",    "processing_progress": 0,    "processing_status": "string",    "retention_class": "library",    "size": 0,    "source": "string",    "url": "string"  },  "recipe": {    "$schema": "https://example.com/api/v1/schemas/MemeRecipeResponse.json",    "catalog_revision": "string",    "created_at": "string",    "created_by_id": "string",    "kind": "string",    "media_id": "string",    "recipe": {      "alt_text": "string",      "captions": [        "string"      ],      "catalog_revision": "string",      "format": "string",      "overlay_media_ids": [        "string"      ],      "parent_media_id": "string",      "rendered_mime_type": "string",      "renderer_key": "string",      "schema_version": 0,      "template": {        "id": "string",        "lines": 0,        "name": "string",        "overlays": 0,        "source_url": "string"      }    },    "renderer_key": "string",    "template_id": "string",    "template_name": "string",    "template_source_url": "string",    "workspace_id": "string"  }}